<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>BitMaskTextProp (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="BitMaskTextProp (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/BitMaskTextProp.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev&nbsp;Class</li>
        <li><a href="../../../../../../org/apache/poi/hslf/model/textproperties/CharFlagsTextProp.html"
               title="class in org.apache.poi.hslf.model.textproperties"><span
                class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hslf/model/textproperties/BitMaskTextProp.html"
               target="_top">Frames</a></li>
        <li><a href="BitMaskTextProp.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hslf.model.textproperties</div>
    <h2 title="Class BitMaskTextProp" class="title">Class BitMaskTextProp</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../../../org/apache/poi/hslf/model/textproperties/TextProp.html"
                       title="class in org.apache.poi.hslf.model.textproperties">org.apache.poi.hslf.model.textproperties.TextProp</a>
                </li>
                <li>
                    <ul class="inheritance">
                        <li>org.apache.poi.hslf.model.textproperties.BitMaskTextProp</li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd>java.lang.Cloneable</dd>
                </dl>
                <dl>
                    <dt>Direct Known Subclasses:</dt>
                    <dd><a href="../../../../../../org/apache/poi/hslf/model/textproperties/CharFlagsTextProp.html"
                           title="class in org.apache.poi.hslf.model.textproperties">CharFlagsTextProp</a>, <a
                            href="../../../../../../org/apache/poi/hslf/model/textproperties/ParagraphFlagsTextProp.html"
                            title="class in org.apache.poi.hslf.model.textproperties">ParagraphFlagsTextProp</a>, <a
                            href="../../../../../../org/apache/poi/hslf/model/textproperties/WrapFlagsTextProp.html"
                            title="class in org.apache.poi.hslf.model.textproperties">WrapFlagsTextProp</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public abstract class <span class="typeNameLabel">BitMaskTextProp</span>
extends <a href="../../../../../../org/apache/poi/hslf/model/textproperties/TextProp.html"
           title="class in org.apache.poi.hslf.model.textproperties">TextProp</a>
implements java.lang.Cloneable</pre>
                <div class="block">Definition of a special kind of property of some text, or its
                    paragraph. For these properties, a flag in the "contains" header
                    field tells you the data property family will exist. The value
                    of the property is itself a mask, encoding several different
                    (but related) properties
                </div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Field Summary table, listing fields, and an explanation">
                            <caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Field and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected static <a
                                        href="../../../../../../org/apache/poi/util/POILogger.html"
                                        title="class in org.apache.poi.util">POILogger</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hslf/model/textproperties/BitMaskTextProp.html#logger">logger</a></span></code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier</th>
                                <th class="colLast" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected </code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hslf/model/textproperties/BitMaskTextProp.html#BitMaskTextProp-int-int-java.lang.String-java.lang.String...-">BitMaskTextProp</a></span>(int&nbsp;sizeOfDataBlock,
                                    int&nbsp;maskInHeader,
                                    java.lang.String&nbsp;overallName,
                                    java.lang.String...&nbsp;subPropNames)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../../org/apache/poi/hslf/model/textproperties/BitMaskTextProp.html"
                                        title="class in org.apache.poi.hslf.model.textproperties">BitMaskTextProp</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hslf/model/textproperties/BitMaskTextProp.html#clone--">clone</a></span>()</code>
                                    <div class="block">Clone, eg when you want to actually make use of one of these.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../../org/apache/poi/hslf/model/textproperties/BitMaskTextProp.html"
                                        title="class in org.apache.poi.hslf.model.textproperties">BitMaskTextProp</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hslf/model/textproperties/BitMaskTextProp.html#cloneAll--">cloneAll</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>boolean[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hslf/model/textproperties/BitMaskTextProp.html#getSubPropMatches--">getSubPropMatches</a></span>()</code>
                                    <div class="block">Fetch the list of if the sub properties match or not</div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>java.lang.String[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hslf/model/textproperties/BitMaskTextProp.html#getSubPropNames--">getSubPropNames</a></span>()</code>
                                    <div class="block">Fetch the list of the names of the sub properties</div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hslf/model/textproperties/BitMaskTextProp.html#getSubValue-int-">getSubValue</a></span>(int&nbsp;idx)</code>
                                    <div class="block">Fetch the true/false status of the subproperty with the given
                                        index
                                    </div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hslf/model/textproperties/BitMaskTextProp.html#getValue--">getValue</a></span>()</code>
                                    <div class="block">Return the text property value.</div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hslf/model/textproperties/BitMaskTextProp.html#getWriteMask--">getWriteMask</a></span>()</code>
                                    <div class="block">Calculate mask from the subPropMatches.</div>
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hslf/model/textproperties/BitMaskTextProp.html#setSubValue-boolean-int-">setSubValue</a></span>(boolean&nbsp;value,
                                    int&nbsp;idx)</code>
                                    <div class="block">Set the true/false status of the subproperty with the given
                                        index
                                    </div>
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hslf/model/textproperties/BitMaskTextProp.html#setValue-int-">setValue</a></span>(int&nbsp;val)</code>
                                    <div class="block">Set the value of the text property, and recompute the sub
                                        properties based on it, i.e.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hslf/model/textproperties/BitMaskTextProp.html#setValueWithMask-int-int-">setValueWithMask</a></span>(int&nbsp;val,
                                    int&nbsp;writeMask)</code>
                                    <div class="block">Convenience method to set a value with mask, without splitting it
                                        into the subvalues
                                    </div>
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hslf/model/textproperties/BitMaskTextProp.html#setWriteMask-int-">setWriteMask</a></span>(int&nbsp;writeMask)</code>
                                    <div class="block">Sets the write mask, i.e.</div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.hslf.model.textproperties.TextProp">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.hslf.model.textproperties.<a
                                        href="../../../../../../org/apache/poi/hslf/model/textproperties/TextProp.html"
                                        title="class in org.apache.poi.hslf.model.textproperties">TextProp</a></h3>
                                <code><a
                                        href="../../../../../../org/apache/poi/hslf/model/textproperties/TextProp.html#equals-java.lang.Object-">equals</a>,
                                    <a href="../../../../../../org/apache/poi/hslf/model/textproperties/TextProp.html#getMask--">getMask</a>,
                                    <a href="../../../../../../org/apache/poi/hslf/model/textproperties/TextProp.html#getName--">getName</a>,
                                    <a href="../../../../../../org/apache/poi/hslf/model/textproperties/TextProp.html#getSize--">getSize</a>,
                                    <a href="../../../../../../org/apache/poi/hslf/model/textproperties/TextProp.html#hashCode--">hashCode</a>,
                                    <a href="../../../../../../org/apache/poi/hslf/model/textproperties/TextProp.html#toString--">toString</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>finalize, getClass, notify, notifyAll, wait, wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ FIELD DETAIL =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.detail">
                        <!--   -->
                    </a>
                        <h3>Field Detail</h3>
                        <a name="logger">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>logger</h4>
                                <pre>protected static final&nbsp;<a
                                        href="../../../../../../org/apache/poi/util/POILogger.html"
                                        title="class in org.apache.poi.util">POILogger</a> logger</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="BitMaskTextProp-int-int-java.lang.String-java.lang.String...-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>BitMaskTextProp</h4>
                                <pre>protected&nbsp;BitMaskTextProp(int&nbsp;sizeOfDataBlock,
                          int&nbsp;maskInHeader,
                          java.lang.String&nbsp;overallName,
                          java.lang.String...&nbsp;subPropNames)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getSubPropNames--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getSubPropNames</h4>
                                <pre>public&nbsp;java.lang.String[]&nbsp;getSubPropNames()</pre>
                                <div class="block">Fetch the list of the names of the sub properties</div>
                            </li>
                        </ul>
                        <a name="getSubPropMatches--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getSubPropMatches</h4>
                                <pre>public&nbsp;boolean[]&nbsp;getSubPropMatches()</pre>
                                <div class="block">Fetch the list of if the sub properties match or not</div>
                            </li>
                        </ul>
                        <a name="getWriteMask--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getWriteMask</h4>
                                <pre>public&nbsp;int&nbsp;getWriteMask()</pre>
                                <div class="block">Calculate mask from the subPropMatches.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/hslf/model/textproperties/TextProp.html#getWriteMask--">getWriteMask</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/hslf/model/textproperties/TextProp.html"
                                                title="class in org.apache.poi.hslf.model.textproperties">TextProp</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setWriteMask-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setWriteMask</h4>
                                <pre>public&nbsp;void&nbsp;setWriteMask(int&nbsp;writeMask)</pre>
                                <div class="block">Sets the write mask, i.e. which defines the text properties to be
                                    considered
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>writeMask</code> - the mask, bit values outside the property mask range
                                        will be ignored
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getValue--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getValue</h4>
                                <pre>public&nbsp;int&nbsp;getValue()</pre>
                                <div class="block">Return the text property value.
                                    Clears all bits of the value, which are marked as unset.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/hslf/model/textproperties/TextProp.html#getValue--">getValue</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/hslf/model/textproperties/TextProp.html"
                                                title="class in org.apache.poi.hslf.model.textproperties">TextProp</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the text property value.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setValue-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setValue</h4>
                                <pre>public&nbsp;void&nbsp;setValue(int&nbsp;val)</pre>
                                <div class="block">Set the value of the text property, and recompute the sub
                                    properties based on it, i.e. all unset subvalues will be cleared.
                                    Use
                                    <a href="../../../../../../org/apache/poi/hslf/model/textproperties/BitMaskTextProp.html#setSubValue-boolean-int-"><code>setSubValue(boolean,
                                        int)</code></a> to explicitly set subvalues to <code>false</code>.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/hslf/model/textproperties/TextProp.html#setValue-int-">setValue</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/hslf/model/textproperties/TextProp.html"
                                                title="class in org.apache.poi.hslf.model.textproperties">TextProp</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setValueWithMask-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setValueWithMask</h4>
                                <pre>public&nbsp;void&nbsp;setValueWithMask(int&nbsp;val,
                             int&nbsp;writeMask)</pre>
                                <div class="block">Convenience method to set a value with mask, without splitting it
                                    into the subvalues
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>val</code> -</dd>
                                    <dd><code>writeMask</code> -</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getSubValue-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getSubValue</h4>
                                <pre>public&nbsp;boolean&nbsp;getSubValue(int&nbsp;idx)</pre>
                                <div class="block">Fetch the true/false status of the subproperty with the given index
                                </div>
                            </li>
                        </ul>
                        <a name="setSubValue-boolean-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setSubValue</h4>
                                <pre>public&nbsp;void&nbsp;setSubValue(boolean&nbsp;value,
                        int&nbsp;idx)</pre>
                                <div class="block">Set the true/false status of the subproperty with the given index
                                </div>
                            </li>
                        </ul>
                        <a name="clone--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>clone</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../../org/apache/poi/hslf/model/textproperties/BitMaskTextProp.html"
                                        title="class in org.apache.poi.hslf.model.textproperties">BitMaskTextProp</a>&nbsp;clone()</pre>
                                <div class="block"><span
                                        class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a
                                        href="../../../../../../org/apache/poi/hslf/model/textproperties/TextProp.html#clone--">TextProp</a></code></span>
                                </div>
                                <div class="block">Clone, eg when you want to actually make use of one of these.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/hslf/model/textproperties/TextProp.html#clone--">clone</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/hslf/model/textproperties/TextProp.html"
                                                title="class in org.apache.poi.hslf.model.textproperties">TextProp</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="cloneAll--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>cloneAll</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../../org/apache/poi/hslf/model/textproperties/BitMaskTextProp.html"
                                        title="class in org.apache.poi.hslf.model.textproperties">BitMaskTextProp</a>&nbsp;cloneAll()</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/BitMaskTextProp.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev&nbsp;Class</li>
        <li><a href="../../../../../../org/apache/poi/hslf/model/textproperties/CharFlagsTextProp.html"
               title="class in org.apache.poi.hslf.model.textproperties"><span
                class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hslf/model/textproperties/BitMaskTextProp.html"
               target="_top">Frames</a></li>
        <li><a href="BitMaskTextProp.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
